# Architecture, Developer, and Maintainer Guides

## 1. [Architecture Decisions](./adr/README.md)

We allow _anyone_ to propose and vote on significant <dfn id="def-architecture-decision" title="An architecture decision (AD) is a software design choice that addresses a significant requirement.">Architecture Decision</dfn>s (<abbr title="Architecture Decision">AD</abbr>)s. We save these consensual decisions as <dfn id="def-architecture-decision-records">Architecture Decision Record</dfn>s (<abbr title="An architecture decision record (ADR) is a document that captures an important architectural decision made along with its context and consequences.">ADR</abbr>s) for the benefit of future team members as well as for external oversight.

## 2. [Developer Guide](./developer-guide/README.md)

Interested in doing product development? Awesome! Read the developer guide to
begin.

## 3. [Maintainer Guide](maintainer-guide/README.md)

How to maintain **@data-leakage-protection/signatures** product development and delivery with
voluntary contributions.
